Qt 5.6 | Qt Quick | QML Types | SpriteSequence QML Type

Qt 5.6.3 Reference Documentation

# SpriteSequence QML Type

Draws a sprite animation More...

Import Statement: | import QtQuick 2.5
Inherits: | Item

- List of all members, including inherited members

## Properties

- currentSprite : string
- goalSprite : string
- interpolate : bool
- running : bool
- sprites : list<Sprite>

## Methods

- jumpTo(string sprite)

## Detailed Description

SpriteSequence renders and controls a list of animations defined by Sprite types.

For full details, see the Sprite Animations overview.

## Property Documentation

currentSprite : string

The name of the Sprite which is currently animating.

goalSprite : string

The name of the Sprite which the animation should move to.

Sprite states have defined durations and transitions between them, setting goalState will cause it to disregard any path weightings (including 0) and head down the path which will reach the goalState quickest (fewest animations). It will pass through intermediate states on that path, and animate them for their duration.

If it is possible to return to the goalState from the starting point of the goalState it will continue to do so until goalState is set to "" or an unreachable state.

interpolate : bool

If true, interpolation will occur between sprite frames to make the animation appear smoother.

Default is true.

running : bool

Whether the sprite is animating or not.

Default is true

sprites : list<Sprite>

The sprite or sprites to draw. Sprites will be scaled to the size of this item.

## Method Documentation

jumpTo(string sprite)

This function causes the SpriteSequence to jump to the specified sprite immediately, intermediate sprites are not played. The sprite argument is the name of the sprite you wish to jump to.